View Issue Details

IDProjectCategoryView StatusLast Update
0031871FPCFCLpublic2017-07-08 19:32
ReporterMattias GaertnerAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031871: fcl-passrc does not bark on const range
Descriptionparser should give syntax error, but does not.

const r = 1..2;

test.pas(1,11) Fatal: Syntax error, ";" expected but ".." found
TagsNo tags attached.
Fixed in Revision36684
FPCOldBugId0
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-07-08 18:57

administrator   ~0101619

Fixed, but raising different error from FPC.

Issue History

Date Modified Username Field Change
2017-05-18 23:02 Mattias Gaertner New Issue
2017-05-20 12:28 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-05-20 12:28 Michael Van Canneyt Status new => assigned
2017-07-08 18:57 Michael Van Canneyt Fixed in Revision => 36684
2017-07-08 18:57 Michael Van Canneyt Note Added: 0101619
2017-07-08 18:57 Michael Van Canneyt Status assigned => resolved
2017-07-08 18:57 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-08 18:57 Michael Van Canneyt Resolution open => fixed
2017-07-08 18:57 Michael Van Canneyt Target Version => 3.2.0
2017-07-08 19:32 Mattias Gaertner Status resolved => closed